WinShopAPI docs
ReferenceProduct

Upload a product attachment

Adds an attachment to the product. Requires `Permissions.Product.Update`.

POST
/api/products/{productId}/attachment

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Request Body

application/json
  1. body
fileData*string
fileName?string
level1Id?integer
Formatint32
level2Id?integer
Formatint32
level3Id?integer
Formatint32
pathToFile?string
productId?integer
Formatint32

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/products/0/attachment' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "fileData": "string"}'
null